package com.ruoyi.ucp.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.ucp.entity.TurbineInfoMin;
import com.ruoyi.ucp.mapper.TurbineInfoMinMapper;
import com.ruoyi.ucp.service.ITurbineInfoMinService;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gfhd
 * @since 2024-08-05
 */
@Service
@DataSource(DataSourceType.SLAVE)
public class TurbineInfoMinServiceImpl extends ServiceImpl<TurbineInfoMinMapper, TurbineInfoMin> implements ITurbineInfoMinService {

    @Override
    public boolean saveOrUpdate(TurbineInfoMin entity) {
        return super.saveOrUpdate(entity);
    }

    @Override
    public boolean saveOrUpdateBatch(Collection<TurbineInfoMin> entityList) {
        return super.saveOrUpdateBatch(entityList);
    }

    @Override
    public List<TurbineInfoMin> list() {
        return super.list();
    }

    @Override
    public List<TurbineInfoMin> list(Wrapper<TurbineInfoMin> queryWrapper) {
        return super.list(queryWrapper);
    }
}
